This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 861370 - strange problems on TTY1 (password in clear / auto-complete and history won't work )
strange problems on TTY1 (password in clear / auto-complete and history won't...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Linux
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 07:39 EDT by freeeaks
Modified: 2013-03-28 10:04 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-28 10:04:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description freeeaks 2012-09-28 07:39:09 EDT
Description of problem:
- my tty1 show my password in clear when i'm login in.
- after being logged in, auto-completion doesn't work: pressing tab key gives a tab space instead of command auto-completion.
- trying to access command history by pressing up and down arrow key gives output like " ^[~A " instead of showing terminal commands history.

i boot in run level3. when machine finishes booting up i'm in TTY1

Version-Release number of selected component (if applicable):


How reproducible:
anytime. but it seems to happen only in TTY1.

Steps to Reproduce:
1.change default.target to point to multi-user.target (boot in run level 3)
2.log in.
3.try up and down arrow keys.
4.try command auto-completion with tab key.
  
Actual results:
1.boot in run level 3 ok
2.while login in: password is shown in clear
3.command history doesn't show up
4.tab key gives tab spaces instead of completion.

Expected results:
1.boot in run level 3 ok
2.while login in:password should not be shown in clear
3.command history should shown up
4.tab key should auto-complete commands


Additional info:
seems to happen only in tty1
Comment 1 Josh Boyer 2013-03-12 15:48:45 EDT
Are you still seeing this with 3.7.9 or 3.8.2 in updates-testing?
Comment 2 Josh Boyer 2013-03-28 10:04:19 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.